
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include <OneWire.h>
#include <DallasTemperature.h>

LiquidCrystal_I2C mylcd(0x27,16,2);

OneWire oneWire_5(5);
DallasTemperature sensors_5(&oneWire_5);
DeviceAddress insideThermometer;
float ds18b20_5_getTemp(int w) {
  sensors_5.requestTemperatures();
  if(w==0) {
return sensors_5.getTempC(insideThermometer);
}
  else {
return sensors_5.getTempF(insideThermometer);
}
}

void setup(){
  mylcd.init();
  mylcd.backlight();
  Serial.begin(9600);
  sensors_5.getAddress(insideThermometer, 0);
  sensors_5.setResolution(insideThermometer, 9);
}

void loop(){
  Serial.println(analogRead(A0)*0.488);
  Serial.println(ds18b20_5_getTemp(1));
  mylcd.setCursor(1-1, 1-1);
  mylcd.print(String("LM35:") + String(String(analogRead(A0)*0.488) + String(".C")));
  mylcd.setCursor(1-1, 2-1);
  mylcd.print(String("DS18:") + String(String(ds18b20_5_getTemp(1)) + String(".C")));
  delay(1000);

}