
#include <IRremote.h>

#include <U8g2lib.h>
#include <Wire.h>

volatile int light;
long ir_item;
IRrecv irrecv_5(5);
decode_results results_5;

U8G2_SSD1306_128X64_NONAME_1_HW_I2C u8g2(U8G2_R0, U8X8_PIN_NONE);

void page1() {
  u8g2.drawRFrame(1,12,124,20,3);
  u8g2.setFont(u8g2_font_timR12_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(30,42);
  u8g2.print("light:0%");
}

void page2() {
  u8g2.drawRFrame(1,12,124,20,3);
  u8g2.drawRBox(1,12,30,20,3);
  u8g2.setFont(u8g2_font_timR12_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(30,42);
  u8g2.print("light:25%");
}

void page3() {
  u8g2.drawRFrame(1,12,124,20,3);
  u8g2.drawRBox(1,12,60,20,3);
  u8g2.setFont(u8g2_font_timR12_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(30,42);
  u8g2.print("light:50%");
}

void page4() {
  u8g2.drawRFrame(1,12,124,20,3);
  u8g2.drawRBox(1,12,90,20,3);
  u8g2.setFont(u8g2_font_timR12_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(30,42);
  u8g2.print("light:75%");
}

void page5() {
  u8g2.drawRBox(1,12,124,20,3);
  u8g2.setFont(u8g2_font_timR12_tf);
  u8g2.setFontPosTop();
  u8g2.setCursor(30,42);
  u8g2.print("light:100%");
}

void setup(){
  light = 0;
  Serial.begin(9600);
  irrecv_5.enableIRIn();
  u8g2.setI2CAddress(0x3C*2);
  u8g2.begin();
  u8g2.enableUTF8Print();

}

void loop(){
  if (irrecv_5.decode(&results_5)) {
    ir_item=results_5.value;
    String type="UNKNOWN";
    String typelist[18]={"UNUSED", "RC5", "RC6", "NEC", "SONY", "PANASONIC", "JVC", "SAMSUNG", "WHYNTER", "AIWA_RC_T501", "LG", "SANYO", "MITSUBISHI", "DISH", "SHARP", "DENON", "PRONTO", "LEGO_PF"};
    if(results_5.decode_type>=1&&results_5.decode_type<=17){
      type=typelist[results_5.decode_type];
    }
    Serial.println("IR TYPE:"+type+"  ");
    Serial.print(ir_item,HEX);
    switch (ir_item) {
     case 0xff6897:
      light = 0;
      analogWrite(6,light);
      u8g2.firstPage();
      do
      {
        page1();
      }while(u8g2.nextPage());
      break;
     case 0xff30cf:
      light = 100;
      analogWrite(6,light);
      u8g2.firstPage();
      do
      {
        page2();
      }while(u8g2.nextPage());
      break;
     case 0xff18e7:
      light = 150;
      analogWrite(6,light);
      u8g2.firstPage();
      do
      {
        page3();
      }while(u8g2.nextPage());
      break;
     case 0xff7a85:
      light = 200;
      analogWrite(6,light);
      u8g2.firstPage();
      do
      {
        page4();
      }while(u8g2.nextPage());
      break;
     case 0xff10ef:
      light = 255;
      analogWrite(6,light);
      u8g2.firstPage();
      do
      {
        page5();
      }while(u8g2.nextPage());
      break;
    }
    irrecv_5.resume();
  } else {
  }

}