
#include <NewTone.h>
#include <IRremote.h>

volatile int dur;
volatile int high;
long ir_item;
IRrecv irrecv_5(5);
decode_results results_5;

void setup(){
  dur = 500;
  high = 0;
  Serial.begin(9600);
  pinMode(9, OUTPUT);
  irrecv_5.enableIRIn();
}

void loop(){
  if (irrecv_5.decode(&results_5)) {
    ir_item=results_5.value;
    String type="UNKNOWN";
    String typelist[18]={"UNUSED", "RC5", "RC6", "NEC", "SONY", "PANASONIC", "JVC", "SAMSUNG", "WHYNTER", "AIWA_RC_T501", "LG", "SANYO", "MITSUBISHI", "DISH", "SHARP", "DENON", "PRONTO", "LEGO_PF"};
    if(results_5.decode_type>=1&&results_5.decode_type<=17){
      type=typelist[results_5.decode_type];
    }
    Serial.println("IR TYPE:"+type+"  ");
    Serial.print(ir_item,HEX);
    irrecv_5.resume();
  } else {
    switch (ir_item) {
     case 0xFF30CF:
      NewTone(9,1046.5 * pow(2, high),dur);
      break;
     case 0xFF18E7:
      NewTone(9,1174.7 * pow(2, high),dur);
      break;
     case 0xFF7A85:
      NewTone(9,1318.5 * pow(2, high),dur);
      break;
     case 0xFF10EF:
      NewTone(9,1396.9 * pow(2, high),dur);
      break;
     case 0xFF38C7:
      NewTone(9,1568 * pow(2, high),dur);
      break;
     case 0xFF5AA5:
      NewTone(9,1760 * pow(2, high),dur);
      break;
     case 0xFF42BD:
      NewTone(9,1975.5 * pow(2, high),dur);
      break;
     case 0xFFE01F:
      high = -1;
      break;
     case 0xFFA857:
      high = 0;
      break;
     case 0xFF906F:
      high = 1;
      break;
     case 0xFFA25D:
      dur = 250;
      break;
     case 0xFF629D:
      dur = 500;
      break;
     case 0xFFE21D:
      dur = 1000;
      break;
     case 0xFF22DD:
      dur = 2000;
      break;
    }
  }

}