
#include <IRremote.h>

long ir_item;
IRrecv irrecv_5(5);
decode_results results_5;

volatile boolean flag;

float checkdistance_3_2() {
  digitalWrite(3, LOW);
  delayMicroseconds(2);
  digitalWrite(3, HIGH);
  delayMicroseconds(10);
  digitalWrite(3, LOW);
  float distance = pulseIn(2, HIGH) / 58.00;
  delay(10);
  return distance;
}

void setup(){
  Serial.begin(9600);
  pinMode(13, OUTPUT);
  pinMode(3, OUTPUT);
  pinMode(2, INPUT);

  irrecv_5.enableIRIn();
  flag = true;
}

void loop(){
  if (irrecv_5.decode(&results_5)) {
    ir_item=results_5.value;
    String type="UNKNOWN";
    String typelist[18]={"UNUSED", "RC5", "RC6", "NEC", "SONY", "PANASONIC", "JVC", "SAMSUNG", "WHYNTER", "AIWA_RC_T501", "LG", "SANYO", "MITSUBISHI", "DISH", "SHARP", "DENON", "PRONTO", "LEGO_PF"};
    if(results_5.decode_type>=1&&results_5.decode_type<=17){
      type=typelist[results_5.decode_type];
    }
    Serial.println("IR TYPE:"+type+"  ");
    Serial.print(ir_item,HEX);
    if (ir_item == 0xffa857) {
      if (flag) {
        flag = false;

      } else {
        flag = true;

      }
      analogWrite(9,0);

    } else if (ir_item == 0xff30af) {
      if (!flag) {
        analogWrite(9,100);

      }
    } else if (ir_item == 0xff18e7) {
      if (!flag) {
        analogWrite(9,150);

      }
    } else if (ir_item == 0xff7a85) {
      if (!flag) {
        analogWrite(9,255);

      }
    }
    irrecv_5.resume();
  } else {
    if (flag) {
      digitalWrite(13,HIGH);
      if (round(checkdistance_3_2()) < 30) {
        analogWrite(9,(map(checkdistance_3_2(), 1, 30, 100, 255)));

      } else {
        analogWrite(9,0);

      }

    } else {
      digitalWrite(13,LOW);

    }
  }

}